1. Contacts
Highperformr API
  • Introduction
  • Contacts
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
    • Unified Data API - async contact enrichment
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get options for field
      GET
    • Get discovery search options for field
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
Login
  1. Contacts

Get contact by ID

GET
/contacts/{id}
Returns one contact by its stable id (same id as in lists and search results).
Path: id—contact id (not a source id).
404 if the contact does not exist or is not visible to the authenticated workspace.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Responses

🟢200
application/json
Success
Bodyapplication/json

🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/contacts/' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success
{
    "data": {
        "id": "cnt_7f3k9m2pqx",
        "firstName": "Jamie",
        "lastName": "Rivera",
        "fullName": "Jamie Rivera",
        "title": "Staff Software Engineer",
        "linkedIn": "https://www.linkedin.com/in/jamie-rivera-example",
        "emails": [
            "jamie.rivera@acme.io"
        ],
        "sources": [
            "src_csv_import_2025_01"
        ],
        "companies": [
            "cmp_4n8k2j1w"
        ],
        "primaryCompanyId": "cmp_4n8k2j1w",
        "company": {
            "id": "cmp_4n8k2j1w",
            "companyName": "Acme Analytics Inc",
            "companyWebsite": "https://www.acme.io",
            "companyIndustry": "Computer Software",
            "companyHeadcount": "201-500"
        },
        "createdAt": "2025-03-12T14:22:11.000Z",
        "updatedAt": "2025-04-08T09:01:44.000Z"
    }
}
Modified at 2026-04-22 07:54:17
Previous
Get contacts by segment
Next
Update contact
Built with